declare const DimpleLayoutRender: import("@das-fed/utils").SFCWithInstall<import("vue").DefineComponent<{
    options?: import("../type.js").DimpleLayoutEditorOptions;
    canvas?: import("../type.js").DimpleLayoutCanvas | null;
    zoom?: number;
    customData?: any;
}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:canvas": (canvas?: import("../type.js").DimpleLayoutCanvas | null | undefined) => any;
    "update:zoom": (zoom?: number | undefined) => any;
    "update:customData": (data?: any) => any;
}, string, import("vue").PublicProps, Readonly<{
    options?: import("../type.js").DimpleLayoutEditorOptions;
    canvas?: import("../type.js").DimpleLayoutCanvas | null;
    zoom?: number;
    customData?: any;
}> & Readonly<{
    "onUpdate:canvas"?: ((canvas?: import("../type.js").DimpleLayoutCanvas | null | undefined) => any) | undefined;
    "onUpdate:zoom"?: ((zoom?: number | undefined) => any) | undefined;
    "onUpdate:customData"?: ((data?: any) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>>;
export { DimpleLayoutRender };
